Last Comment Bug 673815 - trackpad scrolling fails in Nightly, works in Firefox 5.0
: trackpad scrolling fails in Nightly, works in Firefox 5.0
Status: VERIFIED FIXED
[inbound]
: regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: mozilla8
Assigned To: Cameron McCormack (:heycam)
:
Mentors:
: 677354 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-24 15:55 PDT by Jo Hermans
Modified: 2011-08-08 16:04 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Fix Synaptics touchpad scrolling hack requirement detection (1.40 KB, patch)
2011-08-01 14:24 PDT, Cameron McCormack (:heycam)
jmathies: review+
blizzard: approval‑mozilla‑aurora+
blizzard: approval‑mozilla‑beta+
Details | Diff | Review

Description Jo Hermans 2011-07-24 15:55:27 PDT
Today I noticed that the nightly version doesn't do the auto-detect anymore (forcing ui.trackpoint_hack.enabled to 1 helps), while Firefox 5.0 works correctly.

I'm using an old driver, Synaptics version 11.1.21.0, on a UltraNavPS2 device.

I think that the reason is that the call to IsObsoleteSynapticsDriver was removed (which I was relying on) and replaced with a check for the Elan Tech driver.

http://hg.mozilla.org/mozilla-central/diff/1d90c5f569a2/widget/src/windows/nsWindow.cpp

This seems to be a different issue than bug 622410.
Comment 1 Jo Hermans 2011-07-24 16:01:32 PDT
The change came from bug 640587, which is now on its way to Firefox 6.0
Comment 2 Cameron McCormack (:heycam) 2011-07-24 16:04:28 PDT
Yeah, the call to IsObsoleteSynapticsDriver should not have been removed as part of the bug 640587 fix.
Comment 3 Cameron McCormack (:heycam) 2011-07-24 20:09:37 PDT
Jo, can you test this tryserver build that has the IsObsoleteSyntapicsDriver call restored?  Please try it without the ui.trackpoint_hack.enabled pref set.

https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/cmccormack@mozilla.com-21c6e9f2c908/try-win32/firefox-8.0a1.en-US.win32.zip
Comment 4 Jo Hermans 2011-07-25 12:06:29 PDT
Yes, this solves the problem for me.
Comment 5 Cameron McCormack (:heycam) 2011-07-26 16:41:09 PDT
Great.  So I want to wait til I'm back in the office next week and verify I haven't broken the other scrolling hacks before requesting review.
Comment 6 Sami Lappalainen / ZAS DATA 2011-07-27 01:28:24 PDT
Please see https://bugzilla.mozilla.org/show_bug.cgi?id=538189 for similar problems in Thunderbird 5.0 and latest-earlybird 7.0a2 .
Comment 7 Cameron McCormack (:heycam) 2011-08-01 14:24:58 PDT
Created attachment 549924 [details] [diff] [review]
Fix Synaptics touchpad scrolling hack requirement detection

Verified that this doesn't cause the Elantech hack detection to break.
Comment 8 Cameron McCormack (:heycam) 2011-08-01 15:03:22 PDT
Comment on attachment 549924 [details] [diff] [review]
Fix Synaptics touchpad scrolling hack requirement detection

The regression causes touchpad scrolling not to work for users on Thinkpads (and perhaps other machines with Synaptics-based touchpads) using drivers that aren't up to date.
Comment 9 Christopher Blizzard (:blizzard) 2011-08-01 15:08:08 PDT
Comment on attachment 549924 [details] [diff] [review]
Fix Synaptics touchpad scrolling hack requirement detection

Approved for beta (6) and aurora (7).
Comment 10 Cameron McCormack (:heycam) 2011-08-01 15:12:53 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/8837999bdd8c
Comment 12 Marco Bonardo [::mak] 2011-08-02 03:25:28 PDT
http://hg.mozilla.org/mozilla-central/rev/8837999bdd8c
Comment 13 Jo Hermans 2011-08-03 13:51:45 PDT
verfied as fixed in :
Mozilla/5.0 (Windows NT 5.1; rv:8.0a1) Gecko/20110803 Firefox/8.0a1
Mozilla/5.0 (Windows NT 5.1; rv:7.0a2) Gecko/20110803 Firefox/7.0a2

there's no update for 6.0 beta available yet, so that couldn't be verified
Comment 14 George Carstoiu 2011-08-05 04:59:09 PDT
 Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0 - beta 5

Jo, can you also please check on the latest beta and modify the status if everything is in order?

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/6.0b5-candidates/
Comment 15 Jo Hermans 2011-08-05 07:00:09 PDT
Yes, that works.

Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

The User-Agent doesn't tell me the version of course, but browser.startup.homepage_override.buildID was set to 20110804030150
Comment 16 Cameron McCormack (:heycam) 2011-08-05 18:36:32 PDT
Thanks for verifying, Jo!
Comment 17 Cameron McCormack (:heycam) 2011-08-08 16:04:14 PDT
*** Bug 677354 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.